# $Revision: 1.41 $, $Date: 2010/10/02 16:11:57 $
Summary:	Advanced Bash Scripting Guide
Summary(pl.UTF-8):	Zaawansowany podręcznik programowania w Bashu
Name:		abs-guide
Version:	6.2
Release:	1
License:	distributable
Group:		Documentation
Source0:	http://www.tldp.org/LDP/abs/%{name}.html.tar.gz
# Source0-md5:	118cf9ee5349c4bfcfe3a656ba2742e5
URL:		http://www.tldp.org/LDP/abs/html/index.html
Requires:	LDP-base
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This document is both a tutorial and a reference on shell scripting
with Bash. It assumes no previous knowledge of scripting or
programming, but progresses rapidly toward an intermediate/advanced
level of instruction. The exercises and heavily-commented examples
invite active reader participation. Still, it is a work in progress.
The intention is to add much supplementary material in future updates
to this document, as it evolves into a comprehensive book that matches
or surpasses any of the shell scripting manuals in print.

%description -l pl.UTF-8
Ten dokument jest podręcznikiem programowania w Bashu, zawierającym
tutorial i materiały referencyjne. Do czytania nie wymaga wiedzy na
temat programowania czy pisania skryptów, ale szybko przechodzi do
instrukcji na średnim i zaawansowanym poziomie. Ćwiczenia i dobrze
skomentowane przykłady zachęcają do aktywnego uczestnictwa czytelnika.
Podręcznik wciąż jest w trakcie pisania. Intencją jest dodanie do
niego w przyszłych wydaniach jak największej ilości materiałów
uzupełniających, żeby wyewoluował do wyczerpującej książki
odpowiadającej albo nawet przewyższającej dostępne podręczniki
dotyczące pisania skryptów.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/LDP/abs-guide
cp -a * $RPM_BUILD_ROOT%{_docdir}/LDP/abs-guide

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_docdir}/LDP/abs-guide

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: abs-guide.spec,v $
Revision 1.41  2010/10/02 16:11:57  adamg
- updated to 6.2

Revision 1.40  2009/10/12 13:47:50  adamg
- updated to 6.1

Revision 1.39  2009/04/11 18:26:57  adamg
- updated to 6.0

Revision 1.38  2009/01/23 23:27:25  adamg
- updated to 5.6

Revision 1.37  2008/12/27 13:09:12  adamg
- updated to 5.5

Revision 1.36  2008/07/21 09:40:42  adamg
- updated to 5.4

Revision 1.35  2008/07/06 10:38:24  witekfl
- up to 5.3

Revision 1.34  2008-03-14 20:34:59  adamg
- updated to 5.2

Revision 1.33  2007/06/23 08:10:43  adamg
- updated to 5.0

Revision 1.32  2007/05/06 07:09:58  adamg
- updated to 4.3

Revision 1.31  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.29  2006/12/30 19:40:42  tommat
- updated to 4.2.01

Revision 1.28  2006/09/04 09:53:13  glen
- rel 3

Revision 1.27  2006/09/04 08:46:14  qboosh
- updated pl desc

Revision 1.26  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.25  2006/09/02 20:30:12  tommat
- typo

Revision 1.24  2006/09/02 20:03:30  glen
- R: LDP-base, rel 2

Revision 1.23  2006/08/27 06:37:31  witekfl
- updated to 4.0

Revision 1.22  2005/08/29 07:46:53  adamg
- updated to 3.6

Revision 1.21  2005/03/28 08:44:40  adamg
- updated to 3.3

Revision 1.20  2005/02/20 08:20:10  adamg
- updated to 3.2

Revision 1.19  2004/11/15 20:53:41  adamg
- updated to 3.1

Revision 1.18  2004/10/06 17:56:19  adamg
- updated to 3.0

Revision 1.17  2004/08/01 18:39:49  adamg
- updated to 2.8

Revision 1.16  2004/05/01 18:57:22  adamg
- updated to 2.7

Revision 1.15  2004/03/15 21:38:08  adamg
- updated to 2.6

Revision 1.14  2004/02/24 07:35:49  adamg
- updated to 2.5

Revision 1.13  2004/01/26 11:04:10  adamg
- updated to2.4

Revision 1.12  2004/01/06 00:33:20  adamg
- updated to 2.3

Revision 1.11  2003/11/03 23:04:27  adamg
- updated to 2.2

Revision 1.10  2003/09/30 12:23:20  qboosh
- pl fix

Revision 1.9  2003/09/18 20:37:02  undefine
- update to 2.1, fixed summary

Revision 1.8  2003/08/25 20:50:13  undefine
- update to 2.0

Revision 1.7  2003/08/06 16:03:59  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.6  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/02/12 15:11:06  juandon
- upgrade to 1.7

Revision 1.3  2002/12/12 01:33:16  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.2  2002/10/02 11:50:12  qboosh
- added missing Log
